Fetch one Mode
curl --request GET \
--url http://127.0.0.1:{port}/modes/{id} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"mode": {
"name": "<string>",
"preset": "<string>",
"language": "<string>",
"model": "<string>",
"punctuation": true,
"capitalization": true,
"profanityFilter": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customInstructions": "<string>",
"userSystemPrompt": "<string>",
"isDefault": true,
"isSystemProvided": true,
"sortOrder": 123,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"languageModel": "<string>",
"cloudTranscriptionModel": "<string>",
"cloudProvider": "<string>",
"postProcessingMode": 123,
"postProcessingProvider": "<string>",
"englishSpelling": "<string>",
"useStreamingTranscription": true,
"cloudAccuracyTier": "<string>",
"removeTrailingPeriod": true,
"enableScreenOCR": true,
"geminiCustomPrompt": "<string>",
"cloudPostProcessingModel": "<string>"
}
}API Reference
Fetch one Mode
GET
/
modes
/
{id}
Fetch one Mode
curl --request GET \
--url http://127.0.0.1:{port}/modes/{id} \
--header 'Authorization: Bearer <token>'{
"ok": true,
"mode": {
"name": "<string>",
"preset": "<string>",
"language": "<string>",
"model": "<string>",
"punctuation": true,
"capitalization": true,
"profanityFilter": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customInstructions": "<string>",
"userSystemPrompt": "<string>",
"isDefault": true,
"isSystemProvided": true,
"sortOrder": 123,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"languageModel": "<string>",
"cloudTranscriptionModel": "<string>",
"cloudProvider": "<string>",
"postProcessingMode": 123,
"postProcessingProvider": "<string>",
"englishSpelling": "<string>",
"useStreamingTranscription": true,
"cloudAccuracyTier": "<string>",
"removeTrailingPeriod": true,
"enableScreenOCR": true,
"geminiCustomPrompt": "<string>",
"cloudPostProcessingModel": "<string>"
}
}Was this page helpful?
⌘I
